<?php

include_once ABSPATH . 'wp-includes/class-wp-customize-control.php';


//Customize panel

function bny_sanitize_checkbox($checked) {
	return ((isset($checked) && true == $checked) ? true : false);
}

function bny_customize_register($wp_customize) {

	// Sections //
	$wp_customize->add_section('bonyo_options',	array(
		'title'             => __('Options', 'bonyo'),
		'priority'          => 40,
		'description'       => __('Changes to these items will not be reflected in the preview.', 'bonyo'),
	));


	//CSS Switch
	$wp_customize->add_setting('ck_css', array(
		'default'           => false,
		'sanitize_callback' => 'bny_sanitize_checkbox',
	));


	//Static Sidebar Switch
	$wp_customize->add_setting('ck_sidebar', array(
		'default'			=> false,
		'sanitize_callback'	=> 'bny_sanitize_checkbox',
	));

	//Static Sidebar Type 
	$wp_customize->add_setting('ck_sidebar_type', array(
		'default'           => false,
		'sanitize_callback' => 'bny_sanitize_checkbox',
	));



	$wp_customize->add_control(new WP_Customize_Control($wp_customize, 'ck_css', array(
		'label'				=> __('CSS 出力場所 切替スイッチ', 'bonyo'),
		'description'       => __('<p style="font-style:normal">チェック無しで外部CSSファイル。<br />チェック有りでHTMLヘッダ内でスタイル出力。</p><p style="font-style:normal">CSSが外部ファイルだとページ表示の度にスタイルシートを読み込む必要が無いので転送容量を減らせます。スタイルシートをHTMLヘッダで出力するとCSSファイルの読みこぼしが無く初回ページ表示時にページレンダリングが速まる可能性があります。好みで選択してください。</p>', 'bonyo'),
		'section'			=> 'bonyo_options',
		'priority'			=> 10,
		'type'				=> 'checkbox',
	)));

	$wp_customize->add_control(new WP_Customize_Control($wp_customize, 'ck_sidebar', array(
		'label'				=> __('動的/静的 サイドバー 切替スイッチ', 'bonyo'),
		'description'		=> __('<p style="font-style:normal">チェック無しで動的サイドバー(WordPress標準)。<br />チェック有りで静的サイドバー。</p><p style="font-style:normal">動的サイドバーは、サイドバーの出力内容がページ表示ごとに変更になる場合に向いています。<br />静的サイドバーはサイドバーの出力内容が変化しない場合に向いていて高速出力できます。静的サイドバーの出力/更新は管理者が管理画面をログアウトするタイミングです。</p>', 'bonyo'),
		'section'			=> 'bonyo_options',
		'priority'			=> 20,
		'type'				=> 'checkbox',
	)));

	$wp_customize->add_control(new WP_Customize_Control($wp_customize, 'ck_sidebar_type', array(
		'label'             => __('静的サイドバー種類 切替スイッチ', 'bonyo'),
		'description'       => __('<p style="font-style:normal">チェック無しで静的サイドバー用のファイルから静的サイドバーを出力します。<br />チェック有りでデータベースから静的サイドバーを表示します。<br />1つ上のチェックで動的サイドバーを選択している場合はこの項目は無効です。</p><p style="font-style:normal">ファイルからの読み出しが速いサーバではファイルからの読み出しが効果的です。ファイルからの読み出しが遅いサーバではデータベースからの読み出しが効果的です。', 'bonyo'),
		'section'           => 'bonyo_options',
		'priority'          => 30,
		'type'              => 'checkbox',
	)));

}
add_action('customize_register', 'bny_customize_register');


?>
